<% if flash[:notice].present? %>
    toastr.success("<%= flash[:notice] %>");
<% end %>

var id = "<%= params[:user_post_id] %>"
<% if @post.like_count > 0 || @post.comment_count > 0 %>
    $('#info_'+id).empty().html("<small class='blue-text'> <%= @post.like_count %> likes - <%= @post.comment_count %> Comments</small>")
<% end %>
delete_home_comment()
list_bookmarked_articles()
trigger_social_share()
home_search()
$('.view_more_link').click(function(){
    var id = $(this).data('id')
    // alert(1)
    // console.log($(this).next().next());
    // $(this).parent().find('.collapsed').hide()
    // $(this).parent()).hide();
    // $(this).next().find('.detailed').show()
    $(".collapsed_"+id).hide()
    $(".detailed_"+id).show()
})
$('.view_less_link').click(function(){
    var id = $(this).data('id')
    // alert(1)
    // console.log($(this).next().next());
    // $(this).parent().find('.collapsed').hide()
    // $(this).parent()).hide();
    // $(this).next().find('.detailed').show()
    $(".collapsed_"+id).show()
    $(".detailed_"+id).hide()
})
<%#= custom_bootstrap_flash %>
// home_screen_hide_show()
// load_home_content()
// scroll_pagination_on_home()
$('.likes-comments').click(function(){
    // $('#post-1-comment').toggleClass('active')
    var id = $(this).data('id')
    $('.loader').show()
    $.ajax({
        // url: '/list_post_comments?post_id='+id,
        url: '/list_post_comments?post_id='+id,
        method: 'get',
        dataType: 'script',
        success: function(response){
            $('.loader').hide()
        },
        failure: function(response){
            $('.loader').hide()
        },
    })
    $('.loader').hide()
});

// Like/Dislike post Home feed

$('.mark_favorite').click(function(){
    $(this).off('click')
    var id = $(this).data('id')
    var fav
    if($('.icon_'+id).hasClass('active') == false){
        fav = true
        $('.icon_'+id).addClass('active')
    }else{
        fav = false
        $('.icon_'+id).removeClass('active')
    }
    $('.loader').show()
    $.ajax({
        // url: '/favorite_post',
        url: '/favorite_post',
        // url: '../favorite_post',
        data: { user_post_id: id, is_favorite: fav },
        method: 'post',
        dataType: 'script',
        success: function(response){
            $('.loader').hide()
        },
        failure: function(response){
            $('.loader').hide()
        },
    })
    $(this).on('click')
    $('.loader').hide()
})
remove_bookmark_sidebar()
delete_post()
